Page MenuHomePhabricator

Remove Related Pages from desktop web beta (most wikis)
Closed, ResolvedPublic

Description

As per T125191#2018674 amd T125191#2017096, as a product owner I do not want to show Related Articles on the desktop presentation because its engagement is low, below the success criteria threshold of 5%. Contrast this with engagement with the feature on the mobile web where engagement appears to be substantially higher.

Acceptance criteria

  • Beta feature is removed.

[x] Desktop code path is removed. irrelevant - mobile code/desktop code is basically the same

Communication about disablement

  • ht.wikipedia.org (they had asked to keep it)

[x] Wikivoyage already using this extension irrelevant as they continue to use it.

Event Timeline

dr0ptp4kt raised the priority of this task from to Needs Triage.
dr0ptp4kt updated the task description. (Show Details)
dr0ptp4kt added subscribers: dr0ptp4kt, JKatzWMF.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 12 2016, 11:10 PM

Change 270949 had a related patch set uploaded (by Bmansurov):
Remove ReadMore from desktop beta

https://gerrit.wikimedia.org/r/270949

dr0ptp4kt updated the task description. (Show Details)Feb 16 2016, 2:43 PM
dr0ptp4kt set Security to None.
bd808 triaged this task as Normal priority.Feb 16 2016, 5:20 PM
bd808 added a subscriber: bd808.
bd808 changed the task status from Open to Stalled.Feb 16 2016, 5:21 PM

Needs community feedback

Jdlrobson updated the task description. (Show Details)Feb 16 2016, 5:22 PM

Why is this a Tracking-Neverending task ("a report that will never be "fixed", but instead used as dependency parents to track related issues")? There are no subtasks defined...

Why is this a Tracking-Neverending task ("a report that will never be "fixed", but instead used as dependency parents to track related issues")? There are no subtasks defined...

Fixed.

bmansurov removed bmansurov as the assignee of this task.Feb 24 2016, 12:50 PM
bmansurov added a subscriber: bmansurov.
Jdlrobson added a subscriber: Jdlrobson.

Removing patch to review to ensure this doesn't get reviewed and merged until those discussions have been completed as this doesn't seem to be what we want to do. There are still good discussions happening on the beta features page.

Change 270949 abandoned by Bmansurov:
Remove ReadMore from desktop beta

Reason:
resurrect if needed

https://gerrit.wikimedia.org/r/270949

JKatzWMF renamed this task from Remove Related Pages from desktop web beta to Remove Related Pages from desktop web beta (most wikis).May 25 2016, 6:51 PM
JKatzWMF updated the task description. (Show Details)

@JKatzWMF @Moushira are we good to go with this?

bd808 removed a subscriber: bd808.Jul 21 2016, 8:49 PM
Moushira added a comment.EditedJul 21 2016, 9:37 PM

From my side, if we don't have plans to continue development, because data isn't promising with the current feature implementation, then we can just disable it.

dr0ptp4kt updated the task description. (Show Details)Aug 31 2016, 6:18 PM
dr0ptp4kt updated the task description. (Show Details)Aug 31 2016, 6:20 PM

@ovasileva - to create list of desktop where we want related pages

Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Needs Analysis to Ready for Signoff on the Reading-Web-Sprint-95 board.

I'm not sure if this counts as unplanned sprint work as I didn't know this task existed, but now would be a good time to make some decisions about it.
I think we agreed to not enable it on ht.wikipedia.org but FWIW we can enable it for all pages if they do want it. I don't see that as a big maintenance burden.

phuedx assigned this task to ovasileva.Apr 10 2017, 8:18 AM
phuedx added a project: Unplanned-Sprint-Work.
phuedx added a subscriber: phuedx.

I guess this is work that @ovasileva hadn't planned on doing this sprint 😉

After discussing shortly, we decided to enable related pages for htwiki

Change 348161 had a related patch set uploaded (by Jdlrobson):
[operations/mediawiki-config@master] Enable related pages on Vector for htwiki

https://gerrit.wikimedia.org/r/348161

Change 348161 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable related pages on Vector for htwiki

https://gerrit.wikimedia.org/r/348161

Mentioned in SAL (#wikimedia-operations) [2017-04-13T23:39:16Z] <niharika29@tin> Synchronized wmf-config/InitialiseSettings.php: Enable related pages on Vector for htwiki (T126826) (duration: 00m 41s)

Jdlrobson closed this task as Resolved.Apr 14 2017, 12:14 AM
Jdlrobson removed a project: Patch-For-Review.
Jdlrobson updated the task description. (Show Details)

Related pages now show on desktop ht wiki. I've confirmed they do not show on English or any other wiki.
Additional sign off can happen as part of T162213